local AddonName, a = ...
if a.BuildFail(50000) then return end
local s = SpellFlashAddon
local x = s.UpdatedVariables

x.Debuff = {}
s.UpdateDebuff = function(spellId)
	local name = GetSpellInfo(spellId)
	name = s.NormalizeName(name)
	x.Debuff[name] = {}

	x.Debuff[name].remains_nogcd = s.MyDebuffDuration(spellId, "target")
	x.Debuff[name].stack_nogcd = s.MyDebuffStack(spellId, "target")
	x.Debuff[name].react_nogcd = x.Debuff[name].stack

	x.Debuff[name].remains = x.Debuff[name].remains_nogcd - math.max(s.GlobalCooldown(), s.GetCasting(nil, "player"))
	if x.Debuff[name].remains > 0 or x.Debuff[name].remains_nogcd == 0 and s.MyDebuff(spellId, "target") then
		x.Debuff[name].up = true
		x.Debuff[name].down = false
		x.Debuff[name].stack = x.Debuff[name].stack_nogcd
		x.Debuff[name].react = x.Debuff[name].stack_nogcd
	else
		x.Debuff[name].up = false
		x.Debuff[name].down = true
		x.Debuff[name].stack = 0
		x.Debuff[name].react = 0
	end

	if x.Debuff[name].remains_nogcd > 0 or x.Debuff[name].remains_nogcd == 0 and s.MyDebuff(spellId, "target") then
		x.Debuff[name].up_nogcd = true
		x.Debuff[name].down_nogcd = false
	else
		x.Debuff[name].up_nogcd = false
		x.Debuff[name].down_nogcd = true
	end
end
