local AddonName, a = ...
if a.BuildFail(50000) then return end
local s = SpellFlashAddon
local x = s.UpdatedVariables

x.Dot = {}
s.UpdateDoT = function(spellId)
	local name = GetSpellInfo(spellId)
	local _, _, _, count, _, duration = UnitDebuff("target", name, nil, "PLAYER")
	name = s.NormalizeName(name)
	if not x.Dot[name] then
		x.Dot[name] = {}
	end
	x.Dot[name].remains_nogcd = s.MyDebuffDuration(spellId, "target")
	x.Dot[name].remains = x.Dot[name].remains_nogcd - math.max(s.GlobalCooldown(), s.GetCasting(nil, "player"))

	x.Dot[name].duration = duration or x.Dot[name].duration or 2
	if x.Dot[name].duration then
		x.Dot[name].refreshable = x.Dot[name].remains <= x.Dot[name].duration * 0.3
	else
		x.Dot[name].refreshable = false
	end

	x.Dot[name].stack_nogcd = count
	if x.Dot[name].remains > 0 or x.Dot[name].remains_nogcd == 0 and s.MyDebuff(spellId, "target") then
		x.Dot[name].ticking = true
		x.Dot[name].stack = count
	else
		x.Dot[name].ticking = false
		x.Dot[name].stack = 0
	end

	if x.Dot[name].remains_nogcd > 0 or x.Dot[name].remains_nogcd == 0 and s.MyDebuff(spellId, "target") then
		x.Dot[name].ticking_nogcd = true
		x.Dot[name].stack_nogcd = count
	else
		x.Dot[name].ticking_nogcd = false
		x.Dot[name].stack_nogcd = 0
	end
end
