local AddonName, a = ...
if a.BuildFail(50000) then return end
local s = SpellFlashAddon
local x = s.UpdatedVariables

x.Talent = {}
local updateTalents = function(...)
	local changed = false
	for tier = 1, 7 do
		for column = 1, 3 do
			local talentID, name, _, selected = GetTalentInfo(tier, column, 1)
			if not name then
				return
			end
			name = s.NormalizeName(name)
			if not x.Talent[name] then
				x.Talent[name] = {}
				changed = true
			end

			if x.Talent[name].enabled ~= selected then
				x.Talent[name].enabled = selected
				if selected then
					x.Talent[name].numeric = 1
				else
					x.Talent[name].numeric = 0
				end
				changed = true
			end
		end
	end
	if changed then
		a.print("Successfully updated talents.")
	end
end
s.RegisterModuleEvent(AddonName, "PLAYER_TALENT_UPDATE", updateTalents)
