local AddonName, a = ...
if a.BuildFail(50000) then return end
local s = SpellFlashAddon
local x = s.UpdatedVariables

x.Buff = {}
s.UpdateBuff = function(spellId)
	local name = GetSpellInfo(spellId)
	name = s.NormalizeName(name)
	x.Buff[name] = {}
	x.Buff[name].remains_nogcd = s.BuffDuration(spellId, "player")
	x.Buff[name].stack_nogcd = s.BuffStack(spellId, "player")
	x.Buff[name].react_nogcd = x.Buff[name].stack_nogcd

	x.Buff[name].remains = x.Buff[name].remains_nogcd - math.max(s.GlobalCooldown(), s.GetCasting(nil, "player"))

	if x.Buff[name].remains > 0 or x.Buff[name].remains_nogcd == 0 and s.Buff(spellId, "player") then
		x.Buff[name].up = true
		x.Buff[name].down = false
		x.Buff[name].stack = x.Buff[name].stack_nogcd
		x.Buff[name].react = x.Buff[name].stack_nogcd
	else
		x.Buff[name].up = false
		x.Buff[name].down = true
		x.Buff[name].stack = 0
		x.Buff[name].react = 0
	end

	if x.Buff[name].remains_nogcd > 0 or x.Buff[name].remains_nogcd == 0 and s.Buff(spellId, "player") then
		x.Buff[name].up_nogcd = true
		x.Buff[name].down_nogcd = false
	else
		x.Buff[name].up_nogcd = false
		x.Buff[name].down_nogcd = true
	end
end

local BloodlustEquivalents = {
	2825--[[Bloodlust]],
	32182--[[Heroism]],
	80353--[[Time Warp]],
	90355--[[Ancient Hysteria]],
	160452--[[Netherwinds]]
}

s.UpdateBloodlust = function()
	name = "bloodlust"
	x.Buff[name] = {}
	x.Buff[name].remains_nogcd = s.BuffDuration(BloodlustEquivalents, "player")

	x.Buff[name].remains = x.Buff[name].remains_nogcd - math.max(s.GlobalCooldown(), s.GetCasting(nil, "player"))

	if x.Buff[name].remains > 0 then
		x.Buff[name].up = true
		x.Buff[name].down = false
	else
		x.Buff[name].up = false
		x.Buff[name].down = true
	end

	if x.Buff[name].remains_nogcd > 0 then
		x.Buff[name].up_nogcd = true
		x.Buff[name].down_nogcd = false
	else
		x.Buff[name].up_nogcd = false
		x.Buff[name].down_nogcd = true
	end
end
