local AddonName, a = ...
if a.BuildFail(50000) then return end
local s = SpellFlashAddon
local x = s.UpdatedVariables

x.Cooldown = {}
s.UpdateCooldown = function(spellId, withFractions)
	local name = GetSpellInfo(spellId)
	name = s.NormalizeName(name)
	x.Cooldown[name] = {}
	x.Cooldown[name].remains_nogcd = s.SpellCooldown(spellId)
	x.Cooldown[name].remains = x.Cooldown[name].remains_nogcd - math.max(s.GlobalCooldown(), s.GetCasting(nil, "player"))
	if x.Cooldown[name].remains <= 0 then
		x.Cooldown[name].up = true
		x.Cooldown[name].ready = true
	else
		x.Cooldown[name].up = false
		x.Cooldown[name].ready = false
	end
	if x.Cooldown[name].remains_nogcd == 0 then
		x.Cooldown[name].up_nogcd = true
		x.Cooldown[name].ready_nogcd = true
	else
		x.Cooldown[name].up_nogcd = false
		x.Cooldown[name].ready_nogcd = false
	end

	if withFractions then
		local currentCharges, maxCharges, cooldownStart, cooldownDuration = GetSpellCharges(spellId)
		if currentCharges < maxCharges then
			x.Cooldown[name].charges_fractional_nogcd = currentCharges + (GetTime() - cooldownStart) / cooldownDuration
			x.Cooldown[name].charges_fractional = math.min(maxCharges, currentCharges + (GetTime() + math.max(s.GlobalCooldown(), s.GetCasting(nil, "player")) - cooldownStart) / cooldownDuration)
		else
			x.Cooldown[name].charges_fractional_nogcd = maxCharges
			x.Cooldown[name].charges_fractional = maxCharges
		end
	end
end
